﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Text;
using System.Threading.Tasks;

namespace Modèle
{
    [DataContract]
    public abstract class Personne
    {
        [DataMember]
        public string Email { get; protected set; }
        [DataMember]
        public string MotDePasse { get; protected set; }

        public Personne(string email, string mdp)
        {
            Email = email;
            MotDePasse = mdp;
        }

        public abstract override string ToString();
    }
}
